[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# fpsocketpair

Create socket pair.

## Declaration

Source position: socketsh.inc line 170

`function fpsocketpair(`
`d: cint;`
`xtype: cint;`
`protocol: cint;`
`sv: pcint`
`):cint;`

## Description

fpSocketPair creates 2 sockets in domain D, from type xType and using protocol Protocol. The pair is returned in sv, and they are indistinguishable. The function returns -1 upon error and 0 upon success.

## Errors

Errors are reported in SocketError, and are the same as in FPSocket

## See also

Str2UnixSockAddr |  | Convert path to TUnixSockAddr